Need Help with Xcode IOS S

Noroup

  • *
  • Posts: 134
Hello, I need help.

I purchased an Apple Dev membership and downloaded everything, coding profile, provisional (adhoc, distribution, and development) yet I still get a code signing error.

It says

Code Signing Error: No profiles for 'com.iwinner.ihateschool' were found. Xcode couldn't find any IOS app development provisioning profiles matching 'com.iwinner.ihateschool'. Automatic signing is disabled and unable to generate a profile. To enable automatic signing pass -allowProvisioningUpdates to xcodebuild

colburt187

  • *
  • Posts: 2375
So you created a publishing and development certificates and created a P.12 as well? also are you on Xcode 9?

Noroup

  • *
  • Posts: 134
So you created a publishing and development certificates and created a P.12 as well? also are you on Xcode 9?

Yes I downloaded both certificates but they aren't in Xcode

colburt187

  • *
  • Posts: 2375
And you created a  p.12

Noroup

  • *
  • Posts: 134
Yes I have a p12 and the certificates are all set up in Stencyl.

How do I add provisioning profiles to Xcode?

colburt187

  • *
  • Posts: 2375
You don't really do that manually anymore, are you on Xcode 9? First thing to try is exporting the game as an Xcode project, ignore the haxe download pop-up try to run it, it won't work but it may fix your issues. Then go back to stencyl and test.

Noroup

  • *
  • Posts: 134
http://community.stencyl.com/index.php?topic=49702.15

OK I DID THIS AND GOT PAST THE CODE SIGNING ISSUE THANKSSSS


Now it says invalid IOS Deployment version iOS 10 is the maximum deployment target

colburt187

  • *
  • Posts: 2375
What iOS is your device? What Xcode are you using? What do you have the iOS Target set to in stencyl settings.

Noroup

  • *
  • Posts: 134
My device is IOS 10.2. something . Xcode version is 9.0  IOS Min version is 11.0 ios target version is 11.0

colburt187

  • *
  • Posts: 2375
I haven't used iOS 9, not sure if stencyl is ready for it yet. Try setting the minimum targets in stencyl settings to a lower number, 9.0 or something

Noroup

  • *
  • Posts: 134

Noroup

  • *
  • Posts: 134
IT WORKS IT WORKS ON IPHONE IT WORKED WE FUCKING DID IT BOYS HYPE THE FUCK UP